Listar localizações
RegistosGET /inventory/locations
Pages the tenant's stock locations with limit (default 20, max 100) and the after cursor. Filter by kind (warehouse, area or van), crew_id and active, and search with q. Needs the inventory:read scope.
Parâmetros
kindwarehouse, area or van
um de
warehouse,area,vancrew_idVans of one crew
activeOnly active or inactive locations
qResource-specific text search.
limitMaximum resources to return (default 20, maximum 100).
afterOpaque cursor returned by the previous page.
Devolve
200 Locations
Mostrar atributos
dataMostrar atributos filhos
idloc_ identifier
tenant_idcodenamekindum de
warehouse,area,vanparent_idcrew_idservice_area_idmember_user_idsPeople who may move stock at this van with inventory:van:write.
allow_negativeis_defaultactivecreated_atupdated_at
has_morenext_cursor
Permissões inventory:read · Funções: admin, analyst, field_reader, field_supervisor, finance, operations, owner, viewer
curl -X GET "$BUSINESS_API/inventory/locations" \
-H "Authorization: Bearer sk_test_..."
# Sem comando CLI equivalente; use cURL ou HTTP directo.
const res = await fetch("$BUSINESS_API/inventory/locations", {
method: "GET",
headers: {
Authorization: "Bearer sk_test_..."
}
});
const data = await res.json();
import requests
res = requests.get(
"$BUSINESS_API/inventory/locations",
headers={
"Authorization": "Bearer sk_test_..."
}
)
data = res.json()
req, _ := http.NewRequest("GET", "$BUSINESS_API/inventory/locations", nil)
req.Header.Set("Authorization", "Bearer sk_test_...")
resp, err := http.DefaultClient.Do(req)
{
"data": [
{
"id": "inv_2WehDooBVEGDrYkt5EGLxWsLPWG",
"tenant_id": "ten_2ugFXIC316WXzGu1HGal90AxTA6",
"code": "COD-2026-000142",
"name": "Ana Matsinhe",
"kind": "warehouse",
"parent_id": "par_2AuL9gszLEORhAwTnkAPpacTF66",
"crew_id": "crw_2l1wOJtgejFoQBJcG9bsknLKyxp",
"service_area_id": "ser_23fmkpfkC17kSVJ2spjyiBbOED9",
"member_user_ids": [
"mem_2uI9XcKnDo2tFQmRNWcXt0CLT4K"
],
"allow_negative": true,
"is_default": true,
"active": true,
"created_at": "2026-11-19T09:30:00Z",
"updated_at": "2026-11-19T09:30:00Z"
}
],
"has_more": true,
"next_cursor": "next cursor"
}